{ config, pkgs, ... }:

{
  environment = {
    systemPackages = with pkgs; [
      arc-kde-theme
      kmymoney
      plasma-pass
      pinentry-qt
      libsForQt5.kaccounts-integration
      libsForQt5.kaccounts-providers
      libsForQt5.kweather
      libsForQt5.kalendar
      libsForQt5.kmail
      thunderbird
    ];
  };

  networking = {
    firewall = {
      allowedTCPPortRanges = [ { from = 1714; to = 1764; } ]; # kdeconnect
      allowedUDPPortRanges = [ { from = 1714; to = 1764; } ]; # kdeconnect
    };
  };

  programs = {
    dconf = {
      enable = true;
    };
    gnupg = {
      agent = {
        pinentryFlavor = "qt";
      };
    };
    kdeconnect = {
      enable = true;
    };
  };

  services = {
    xserver = {
      enable = true;
      displayManager = {
        sddm = {
          enable = true;
        };
      };
      desktopManager = {
        plasma5 = {
          enable = true;
        };
      };
    };
  };
}
